Subject: [KERNEL] lack of cryptsetup support

Description: There is no *sys-fs/cryptsetup* support in kernel. @CONFIG_BLK_DEV_DM@ and 

@CONFIG_DM_CRYPT@ should be compiled in or built as modules. _dm-crypt_ module should be added 

into _/etc/conf.d/modules_ in second case.

History

01/11/2010 01:35 pm - Alexander Tratsevskiy

- Target version set to 10.2

I will add support CONFIG_BLK_DEV_DM and CONFIG_DM_CRYPT, but the module dm-crypt into the Startup you will need to write yourself.

01/11/2010 02:22 pm - Dmitry Osintsev

Alexander Tratsevskiy wrote:

> I will add support CONFIG_BLK_DEV_DM and CONFIG_DM_CRYPT, but the module dm-crypt into the Startup you will need to write yourself.



This will do :-)

01/12/2010 07:32 am - Dmitry Osintsev

dimone none wrote:

> Alexander Tratsevskiy wrote:

> > I will add support CONFIG_BLK_DEV_DM and CONFIG_DM_CRYPT, but the module dm-crypt into the Startup you will need to write yourself.

> 

> This will do :-)



An afterthought: _dm_crypt_ does not boot automatically. What about those who doesn't know about it?

01/12/2010 09:09 am - Alexander Tratsevskiy

>An afterthought: dm_crypt does not boot automatically. What about those who doesn't know about it?

If I understand correctly this is still not enough to support booting from an encrypted partition.

For prepare the system for yourself you can use the Interactive system build.

You can share the results of its work and we will add support for the next releases.

02/01/2010 09:13 am - Alexander Tratsevskiy

More http://www.calculate-linux.org/boards/16/topics/2053#message-2220

02/14/2010 01:57 am - Alexander Tratsevskiy

- Target version changed from 10.2 to 10.4

04/27/2010 04:18 pm - Mikhail Hiretsky

- Status changed from New to Closed

Modules is added to kernel config.
